Index: src/sas/sascalc/dataloader/file_reader_base_class.py
===================================================================
--- src/sas/sascalc/dataloader/file_reader_base_class.py	(revision dcb91cf83e474bdbe1c788d87690ca5f5e7841cb)
+++ src/sas/sascalc/dataloader/file_reader_base_class.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
@@ -6,4 +6,5 @@
 
 import os
+import re
 import logging
 import numpy as np
@@ -106,4 +107,7 @@
         for data in self.output:
             if isinstance(data, Data1D):
+                # Normalize the units for
+                data.x_unit = self.format_unit(data.x_unit)
+                data.y_unit = self.format_unit(data.y_unit)
                 # Sort data by increasing x and remove 1st point
                 ind = np.lexsort((data.y, data.x))
@@ -131,4 +135,7 @@
         for dataset in self.output:
             if isinstance(dataset, Data2D):
+                # Normalize the units for
+                dataset.x_unit = self.format_unit(dataset.Q_unit)
+                dataset.y_unit = self.format_unit(dataset.I_unit)
                 dataset.data = dataset.data.astype(np.float64)
                 dataset.qx_data = dataset.qx_data.astype(np.float64)
@@ -155,4 +162,19 @@
                 dataset.data = dataset.data.flatten()
 
+    def format_unit(self, unit=None):
+        """
+        Format units a common way
+        :param unit:
+        :return:
+        """
+        if unit:
+            split = unit.split("/")
+            if len(split) == 1:
+                return unit
+            elif split[0] == '1':
+                return "{0}^".format(split[1]) + "{-1}"
+            else:
+                return "{0}*{1}^".format(split[0], split[1]) + "{-1}"
+
     def set_all_to_none(self):
         """
Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 17e257b538be266d4161c1dfa5ee2bea9ef364f2)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
@@ -299,8 +299,10 @@
                     self.current_dataset.dx = np.append(self.current_dataset.dx, data_point)
                 elif tagname == 'dQw':
-                    if self.current_dataset.dxw is None: self.current_dataset.dxw = np.empty(0)
+                    if self.current_dataset.dxw is None:
+                        self.current_dataset.dxw = np.empty(0)
                     self.current_dataset.dxw = np.append(self.current_dataset.dxw, data_point)
                 elif tagname == 'dQl':
-                    if self.current_dataset.dxl is None: self.current_dataset.dxl = np.empty(0)
+                    if self.current_dataset.dxl is None:
+                        self.current_dataset.dxl = np.empty(0)
                     self.current_dataset.dxl = np.append(self.current_dataset.dxl, data_point)
                 elif tagname == 'Qmean':
Index: src/sas/sascalc/dataloader/readers/danse_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/danse_reader.py	(revision d713729dcd819cd0529320375c33677d4a92caa9)
+++ src/sas/sascalc/dataloader/readers/danse_reader.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
@@ -189,6 +189,6 @@
         x_vals = np.tile(x_vals, (size_y, 1)).flatten()
         y_vals = np.tile(y_vals, (size_x, 1)).T.flatten()
-        if np.all(self.current_dataset.err_data == None) \
-                or np.any(self.current_dataset.err_data <= 0):
+        if (np.all(self.current_dataset.err_data == None)
+                or np.any(self.current_dataset.err_data <= 0)):
             new_err_data = np.sqrt(np.abs(self.current_dataset.data))
         else:
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision 17e257b538be266d4161c1dfa5ee2bea9ef364f2)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
@@ -48,5 +48,5 @@
         self.assertEqual(self.data.detector[0].beam_center.y, center_y)
 
-        self.assertEqual(self.data.y_unit, '1/cm')
+        self.assertEqual(self.data.y_unit, 'cm^{-1}')
         self.assertEqual(self.data.x[0], 0.002618)
         self.assertEqual(self.data.x[1], 0.007854)
@@ -146,6 +146,6 @@
         # Data
         self.assertEqual(len(self.data.x), 2)
-        self.assertEqual(self.data.x_unit, '1/A')
-        self.assertEqual(self.data.y_unit, '1/cm')
+        self.assertEqual(self.data.x_unit, 'A^{-1}')
+        self.assertEqual(self.data.y_unit, 'cm^{-1}')
         self.assertAlmostEqual(self.data.x[0], 0.02, 6)
         self.assertAlmostEqual(self.data.y[0], 1000, 6)
@@ -324,6 +324,6 @@
         # Data
         self.assertEqual(len(self.data.x), 2)
-        self.assertEqual(self.data.x_unit, '1/A')
-        self.assertEqual(self.data.y_unit, '1/cm')
+        self.assertEqual(self.data.x_unit, 'A^{-1}')
+        self.assertEqual(self.data.y_unit, 'cm^{-1}')
         self.assertEqual(self.data.x[0], 0.02)
         self.assertEqual(self.data.y[0], 1000)
Index: test/sasdataloader/test/utest_ascii.py
===================================================================
--- test/sasdataloader/test/utest_ascii.py	(revision 17e257b538be266d4161c1dfa5ee2bea9ef364f2)
+++ test/sasdataloader/test/utest_ascii.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
@@ -32,6 +32,6 @@
         self.assertEqual(self.f1.x[0],0.002618)
         self.assertEqual(self.f1.x[9],0.0497)
-        self.assertTrue(self.f1.x_unit == '1/A' or self.f1.x_unit == 'A^{-1}')
-        self.assertTrue(self.f1.y_unit == '1/cm' or self.f1.y_unit == 'cm^{-1}')
+        self.assertTrue(self.f1.x_unit == 'A^{-1}')
+        self.assertTrue(self.f1.y_unit == 'cm^{-1}')
         
         self.assertEqual(self.f1.meta_data['loader'],"ASCII")
Index: test/sasdataloader/test/utest_sesans.py
===================================================================
--- test/sasdataloader/test/utest_sesans.py	(revision 17e257b538be266d4161c1dfa5ee2bea9ef364f2)
+++ test/sasdataloader/test/utest_sesans.py	(revision a78a02fe90f1c962f523301685c143a27f11ba7d)
@@ -65,11 +65,4 @@
             "sesans_examples/no_spin_echo_unit.ses")
 
-    def test_sesans_no_version(self):
-        """
-            Confirm that sesans files with no file format version raise an appropriate error
-        """
-        # Warning message sent to logger for files not found.
-        pass
-
     def test_sesans_future_version(self):
         """
